
Redmine - Defect #29596

Filter by subproject not working

2018-09-12 14:40 - Particip IT

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues filter Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.4.6

Description

Hello,

When I use the filter "Subproject" and select a specific project, I still get all tickets regardless of what project they belong to.

Environment:

Redmine version                3.4.6.stable

Ruby version                   2.3.3-p222 (2016-11-21) [x86_64-linux-gnu]

Rails version                  4.2.8

Environment                    production

Database adapter               Mysql2

SCM:

Git                            2.11.0

Filesystem

Redmine plugins:

a_common_libs                  2.4.7

easy_gantt                     1.10

easy_mindmup                   1.0

easy_wbs                       1.5

redmine_base_deface            0.0.1

redmine_default_assign         0.6

redmine_editauthor             0.11.0

redmine_extended_watchers      1.0.5

redmine_issue_history          1.0.0

redmine_issue_templates        0.2.0

redmine_query_share            2.1.0

redmine_refresh                0.2.0

unread_issues                  2.2.0

This is the trace of the search found in production.log:

Started GET "/redmine/projects/it/issues?utf8=%E2%9C%93&set_filter=1&sort=id%3Adesc&f%5B%5D=status

_id&op%5Bstatus_id%5D=c&f%5B%5D=subproject_id&op%5Bsubproject_id%5D=%3D&v%5Bsubproject_id%5D%5B%5D

=47&f%5B%5D=&c%5B%5D=priority&c%5B%5D=due_date&c%5B%5D=cf_2&c%5B%5D=status&c%5B%5D=subject&c%5B%5D

=estimated_hours&c%5B%5D=assigned_to&group_by=&t%5B%5D=" for 192.168.0.47 at 2018-09-12 14:37:58 +

0200

Processing by IssuesController#index as HTML

  Parameters: {"utf8"=>"✓", "set_filter"=>"1", "sort"=>"id:desc", "f"=>["status_id", "subproject_i

d", ""], "op"=>{"status_id"=>"c", "subproject_id"=>"="}, "v"=>{"subproject_id"=>["47"]}, "c"=>["pr

iority", "due_date", "cf_2", "status", "subject", "estimated_hours", "assigned_to"], "group_by"=>"

", "t"=>[""], "project_id"=>"it"}

  Current user: VIB (id=5)

  Rendered queries/_filters.html.erb (14.0ms)

  Rendered queries/_columns.html.erb (1.6ms)

  Rendered queries/_query_form.html.erb (18.0ms)

  Rendered issues/_list.html.erb (256.6ms)

  Rendered plugins/redmine_issue_templates/app/views/issue_templates/_issue_template_link.html.erb

 (0.7ms)

  Rendered issues/_sidebar.html.erb (12.5ms)

  Rendered issues/index.html.erb within layouts/base (301.4ms)

  Rendered plugins/a_common_libs/app/views/hooks/a_common_libs/_html_head.html.erb (1.6ms)

  Rendered plugins/unread_issues/app/views/hooks/unread_isues/_add_css.html.erb (0.3ms)
Completed 200 OK in 844ms (Views: 345.8ms | ActiveRecord: 342.3ms)

Started POST "/redmine/ajax_counters/counters" for 192.168.0.47 at 2018-09-12 14:37:59 +0200

Processing by AjaxCountersController#counters as JSON

  Parameters: {"counters"=>["17e931ec4650adbf9dd1e740717854fc", "8afabb878df82ab70b90895578e6c8e8"

, "3086ee8126035e5e23490275a08f0258"]}

  Current user: VIB (id=5)

Completed 200 OK in 7ms (Views: 0.2ms | ActiveRecord: 2.3ms)

 Thanks for taking care of it

Related issues:

Is duplicate of Redmine - Feature #3952: Filtering by subproject still shows ... New 2009-10-01

History

#1 - 2018-09-12 16:27 - Holger Just

- Category changed from Search engine to Issues filter

- Status changed from New to Needs feedback

With the filter you have shown there, you should get all issues which belong either to your it project (i.e. the project you are currently in) or your

"Website relaunch" project. If you are in a project, Redmine will always show the issue sin that project in addition to the issues from the selected

sub-projects. To only show the issues in the sub-project please navigate to the project directly.

Does this already solve your issue?

#2 - 2018-09-12 22:39 - Particip IT

If that is the desired behaviour, then yes, this does resolve my issue. Sorry. I thought it would work differently. My mistake.

Thanks for the feedback.

#3 - 2019-06-23 18:57 - Marius BĂLTEANU

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

#4 - 2019-06-23 19:02 - Marius BĂLTEANU

- Is duplicate of Feature #3952: Filtering by subproject still shows current project's issues added
